Package com.google.android.exoplayer2.analytics

## Class PlaybackStats.EventTimeAndFormat

- java.lang.Object
- - com.google.android.exoplayer2.analytics.PlaybackStats.EventTimeAndFormat

- Enclosing class:
    PlaybackStats

      public static final class PlaybackStats.EventTimeAndFormat
      extends Object

  Stores a format with the event time at which it started being used, or `null` to indicate that no format was used.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `AnalyticsListener.EventTime` | `eventTime` | The event time associated with `format`.
    `Format` | `format` | The format that started being used, or `null` if no format was used.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventTimeAndFormat​(AnalyticsListener.EventTime eventTime, Format format)` | Creates a new timed format event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### eventTime

          public final AnalyticsListener.EventTime eventTime

      The event time associated with `format`.

    - #### format

          @Nullable
          public final Format format

      The format that started being used, or `null` if no format was used.

  - ### Constructor Detail

    - #### EventTimeAndFormat

          public EventTimeAndFormat​(AnalyticsListener.EventTime eventTime,
                                    @Nullable
                                    Format format)

      Creates a new timed format event.
      Parameters:
        `eventTime` - The event time associated with `format`.
        `format` - The format that started being used, or `null` if no format was used.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`